# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'galactus/version'

Gem::Specification.new do |spec|
  spec.name          = 'galactus'
  spec.version       = Galactus::VERSION
  spec.authors       = ['Jeff Nyman']
  spec.email         = ['jeffnyman@gmail.com']

  spec.summary       = 'Marvel Comics API Entity Wrapper'
  spec.description   = '
    Just as Galactus consumes planets in the comics, the galactus
    gem allows you to consume the API provided by the Marvel
    development team, querying on various aspects of the entire
    Marvel universe.
  '
  spec.homepage      = 'https://github.com/jnyman/galactus'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.required_ruby_version = '>= 2.0.0'

  spec.add_development_dependency 'bundler', '~> 1.10'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'rubocop'
  spec.add_development_dependency 'simplecov'
  spec.add_development_dependency 'fakeweb'

  spec.add_runtime_dependency 'httparty'
  spec.add_runtime_dependency 'hashie'

  spec.post_install_message = %{
(::) (::) (::) (::) (::) (::) (::) (::) (::) (::) (::) (::)

  Galactus #{Galactus::VERSION} has been installed.

(::) (::) (::) (::) (::) (::) (::) (::) (::) (::) (::) (::)
  }
end
